#include "Customer.h"



Customer::Customer(const int _id,
	int _lowerTW,
	int _upperTW,
	int _demand,
	int _serviceTime,
	vector<int> _distances,
	int _distanceFromDepot,
	int _distanceToDepot) :

	id(_id),
	lowerTW(_lowerTW),
	upperTW(_upperTW),
	demand(_demand),
	serviceTime(_serviceTime),
	distances(_distances),
	completionTime(0.0),
	processingSpeed(0.0),
	distanceToDepot(_distanceToDepot),
	distanceFromDepot(_distanceFromDepot)
{
}

Customer::Customer() :
	id(-1),
	lowerTW(-1),
	upperTW(-1),
	workLoad(0),
	completionTime(0.0),
	processingSpeed(0.0),
	distanceToDepot(0),
	distanceFromDepot(0)
{
}

Customer::~Customer()

{
}
